"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const tsioc_1 = require("tsioc");
__export(require("./Controller"));
__export(require("./Delete"));
__export(require("./Get"));
__export(require("./Head"));
__export(require("./Options"));
__export(require("./Patch"));
__export(require("./Post"));
__export(require("./Put"));
__export(require("./Route"));
__export(require("./Cors"));
// export * from './Router';
__export(require("./Authorization"));
__export(require("./Model"));
__export(require("./Field"));
__export(require("./Middleware"));
const _1 = require("./");
function registerDecorators(container) {
    let builder = container.get(tsioc_1.symbols.ICoreActionBuilder);
    container.registerDecorator(_1.Controller, builder.build(_1.Controller.toString(), container.getDecoratorType(_1.Controller), tsioc_1.CoreActions.bindProvider));
    container.registerDecorator(_1.Authorization, builder.build(_1.Authorization.toString(), container.getDecoratorType(_1.Authorization), tsioc_1.CoreActions.bindProvider));
    container.registerDecorator(_1.Middleware, builder.build(_1.Middleware.toString(), container.getDecoratorType(_1.Middleware), tsioc_1.CoreActions.bindProvider));
}
exports.registerDecorators = registerDecorators;

//# sourceMappingURL=../sourcemaps/decorators/index.js.map
